Subject: Re: bug#41242: Port feature/native-comp to Windows

From: Andrea Corallo <[email-masked]>
Date: Sat, 23 May 2020 17:56:02 +0000

Eli Zaretskii <[email-masked]> writes:

>> Coming back to the performance problem when loading: apart from reducing
>> the number of files probed, we could try parallelizing openp() using a thread
>> pool. What do you think?
>
> I'd start by reducing the number of probed files, and then I'd
> benchmark the results and see if it's "good enough".  Threads add
> another dimension of complexity, so I'd only go there if we have a
> very good reason.

Agree, also I think before that would be necessary to prove that
parallelizing in user space let the kernel scale up in performance in
serving the syscalls.  I'm not really sure about that and the observed
bottle neck is apparently there.

  Andrea

-- 
[email-masked]